Version: 0.1.3
Release: alt1
Name: qsampler
Summary: A LinuxSampler Qt GUI interface
License: GPL
Group: Sound
Url: http://www.linuxsampler.org/
Source: %name-%version.tar.gz

# Automatically added by buildreq on Sat Nov 05 2005
BuildRequires: fontconfig freetype2 gcc-c++ kdelibs-devel libgig-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xorg-x11-devel liblscp-devel

%description
Qsampler is a LinuxSampler GUI front-end application written in C++ around
the Qt3 toolkit using Qt Designer. At the moment it just wraps as a client
reference interface for the LinuxSampler Control Protocol (LSCP).

LinuxSampler is a work in progress. The goal is to produce a free, open source
pure software audio sampler with professional grade features, comparable to
both hardware and commercial Windows/Mac software samplers.

The initial platform will be Linux because it is one of the most promising
open source multimedia operating systems. Thanks to various kernel patches
and the Jack Audio Connection Kit, Linux is currently able to deliver rock
solid sub-5 millisecond MIDI-to-Audio response.

%prep
%setup -q

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot%_menudir
cat > %buildroot%_menudir/%name << EOF
?package(%name): \
    command="%_bindir/%name" \
    title="Qsampler" \
    longtitle="LinuxSampler GUI front-end based on Qt" \
    section="Multimedia/Sound" \
    icon="%name.png" \
    needs="x11"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%doc ChangeLog AUTHORS README TODO

# menu
%_menudir/%name
%_iconsdir/%name.png

%changelog
* Sun Jun 18 2006 Mikhail Yakshin <greycat@altlinux.org> 0.1.3-alt1
- 0.1.3

* Sat Nov 05 2005 Mikhail Yakshin <greycat@altlinux.ru> 0.1.2-alt1
- Initial build for ALT Linux

